%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-schema
Version:       0.7.7
Release:       1mamba
Summary:       A library for validating Python data structures
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/schema/
Source:        https://pypi.debian.net/schema/schema-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n schema-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/%{pkgname}-%{version}-py*.egg-info
%{python_sitearch}/%{pkgname}-%{version}-py*.egg-info/*

%changelog
* Sat May 04 2024 Automatic Build System <autodist@openmamba.org> 0.7.7-1mamba
- automatic version update by autodist

* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 0.7.5-4mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Mon Jul 31 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.5-3mamba
- rebuilt with python 3.10

* Mon Feb 14 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.5-2mamba
- rebuilt with distdeps

* Thu Dec 02 2021 Automatic Build System <autodist@mambasoft.it> 0.7.5-1mamba
- automatic version update by autodist

* Sun Feb 21 2021 Automatic Build System <autodist@mambasoft.it> 0.7.4-1mamba
- automatic version update by autodist

* Sun Sep 27 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.3-1mamba
- package created using the webbuild interface
